Bug 130220 - webkit-patch land shouldn't add a reviewer for unreviewed build fixes
Summary: webkit-patch land shouldn't add a reviewer for unreviewed build fixes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-13 18:29 PDT by Brian Burg
Modified: 2014-03-18 11:30 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.56 KB, patch)
2014-03-18 08:53 PDT, Éva Balázsfalvi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2014-03-13 18:29:53 PDT
If I put unreviewed in the non-bug title (not in the typical Reviewed By... place), it shouldn't try to pull a reviewer from any subsequently linked bugzilla bugs.
Comment 1 Joseph Pecoraro 2014-03-13 18:32:48 PDT
Why include a bugzilla bug at all? I would include an r#### and say this is a follow-up to that.
Comment 2 Csaba Osztrogonác 2014-03-14 07:27:02 PDT
It's super easy to fix it.

This feature was added by http://trac.webkit.org/changeset/121873 ,
because it happened many times the developer accidentally removed
the "reviewed by nobody oops" line.

We only need to add one more check for "unreviewed/not reviewed" for this line:
"if not found_nobody and not reviewer_text:" in changelog.py
Comment 3 Csaba Osztrogonác 2014-03-14 07:29:29 PDT
cc-ing Éva, she hacked this part of webkitpy recently, maybe she is interested in it.
Comment 4 Éva Balázsfalvi 2014-03-17 08:29:11 PDT
Sounds interesting, I'll check it tomorrow.
Comment 5 Éva Balázsfalvi 2014-03-18 08:53:08 PDT
Created attachment 227054 [details]
Patch
Comment 6 Csaba Osztrogonác 2014-03-18 10:58:59 PDT
Comment on attachment 227054 [details]
Patch

r=me
Comment 7 WebKit Commit Bot 2014-03-18 11:30:44 PDT
Comment on attachment 227054 [details]
Patch

Clearing flags on attachment: 227054

Committed r165824: <http://trac.webkit.org/changeset/165824>
Comment 8 WebKit Commit Bot 2014-03-18 11:30:47 PDT
All reviewed patches have been landed.  Closing bug.